theme = "default-jsw"

[editor]
line-number = "relative"
default-yank-register = "+"
bufferline = "multiple"
end-of-line-diagnostics = "hint"

[editor.cursor-shape]
insert = "bar"
normal = "block"
select = "underline"

[editor.auto-save]
focus-lost = true
after-delay.enable = true

[editor.soft-wrap]
enable = true

[editor.inline-diagnostics]
cursor-line = "warning" # show warnings and errors on the cursorline inline

[keys.normal]
"C-/" = "toggle_comments"
"x" = "extend_to_line_bounds"
"X" = "extend_line_below"
"C-." = "repeat_last_motion"
